Skip to content

List User Permissions for All Organizations

Request

Get a list of user permissions for organizations

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
user_idintegerrequired

User ID

Query
page_limitinteger, [ 1 .. 1000 ]

Number of elements in the collection to retrieve

Example:page_limit=100
page_offsetinteger, [ 0 .. 1000 ]

Index of the first element in the collection to retrieve

Example:page_offset=0
GET
/permissions/{user_id}/organizations
curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/permissions/{user_id}/organizations?page_limit=100&page_offset=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List user permissions response

Bodyapplication/json
dataArray of objects(permission_organization)
metaobject(pagination metadata)
Response
{ "data": [ {} ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }